This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 844734 (CVE-2012-3445)

Summary: CVE-2012-3445 libvirt: crash in virTypedParameterArrayClear
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: berrange, clalancette, cwei, dougsland, dyuan, itamar, jforbes, laine, libvirt-maint, mzhan, rbalakri, rpacheco, veillard, virt-maint, ydu
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120730,reported=20120730,source=redhat,cvss2=3.3/AV:A/AC:L/Au:N/C:N/I:N/A:P,rhel-5/libvirt=notaffected,rhel-6/libvirt=affected,fedora-all/libvirt=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 844248, 844735, 844745    
Bug Blocks: 844749    

Description Petr Matousek 2012-07-31 10:49:36 EDT
It has been found that sending crafted RPC command with nparams set to 0 can lead to libvirtd accessing random memory, possibly leading to crash. A remote attacker could use this flaw to crash libvirtd (DoS).

Upstream proposed fix:
https://www.redhat.com/archives/libvir-list/2012-July/msg01650.html
Comment 2 Petr Matousek 2012-07-31 11:39:08 EDT
Statement:

The versions of libvirt as shipped with Red Hat Enterprise Linux 5 are not affected.

Future libvirt updates for Red Hat Enterprise Linux 6 may address this flaw.
Comment 3 Petr Matousek 2012-07-31 11:39:58 EDT
Created libvirt tracking bugs for this issue

Affects: fedora-all [bug 844745]
Comment 4 Fedora Update System 2012-08-22 17:11:35 EDT
libvirt-0.9.6.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 errata-xmlrpc 2012-08-23 10:57:46 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1202 https://rhn.redhat.com/errata/RHSA-2012-1202.html
Comment 6 Fedora Update System 2012-09-04 18:56:25 EDT
libvirt-0.9.11.5-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.